/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const o=require("vue"),c=require("@progress/kendo-vue-popup"),u=require("./ToolbarSeparator.js"),p=require("../../Button.js"),d=require("@progress/kendo-svg-icons"),b=require("@progress/kendo-vue-intl"),l=require("../messages/index.js"),g=require("@progress/kendo-vue-common"),h=o.defineComponent({name:"ToolbarOverflowSection",props:{toolbarRef:Object,toolbarWidth:Number,fillMode:String,size:String,visibleTools:Array,overFlowTools:Array,opened:Boolean,allTools:Array},emits:["toggleoverflow"],inject:{kendoLocalizationService:{default:null}},methods:{handleClick(){this.$emit("toggleoverflow",!this.$props.opened)}},render(){const{visibleTools:e,overFlowTools:n,allTools:t}=this.$props,{toolbarRef:i,toolbarWidth:r,fillMode:s,size:a}=this.$props;return o.createVNode(o.Fragment,null,[e&&[...t].splice(0,e.length),n.length>0&&o.createVNode(o.Fragment,null,[o.createVNode(u.ToolbarSeparator,{class:"k-toolbar-button-separator"},null),o.createVNode(p.Button,{ref:"buttonRef",class:"k-toolbar-overflow-button",fillMode:"flat",svgIcon:d.moreHorizontalIcon,title:b.provideLocalizationService(this).toLanguageString(l.moreButtonTitle,l.messages[l.moreButtonTitle]),onClick:this.handleClick},null),o.createVNode(c.Popup,{anchor:i,show:this.$props.opened,popupClass:"k-toolbar-popup",key:r,style:{width:r+"px"}},{default:()=>[o.createVNode("span",{class:`k-toolbar-items-list k-toolbar-items-list-${g.kendoThemeMaps.sizeMap[a]} k-toolbar-items-list-${s}`},[e&&[...t].splice(e.length,t.length)])]})])])}});exports.ToolbarOverflowSection=h;
