/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const i=require("vue"),s=require("@progress/kendo-vue-common"),e=require("../messages/index.js"),c=require("@progress/kendo-svg-icons"),r=require("@progress/kendo-vue-intl"),u=i.defineComponent({name:"KendoToolbarScrollButton",props:{buttonScrollSpeed:Number,disabled:Boolean,scrollContentRef:Object,type:String,prevButton:Object,nextButton:Object,dir:String},inject:{kendoLocalizationService:{default:null}},emits:["contentscroll"],methods:{getScrollButtonTitle(){const{dir:o,type:t}=this.$props;return o!=="rtl"?t==="prev"?r.provideLocalizationService(this).toLanguageString(e.prevArrowTitle,e.messages[e.prevArrowTitle]):r.provideLocalizationService(this).toLanguageString(e.nextArrowTitle,e.messages[e.nextArrowTitle]):t==="prev"?r.provideLocalizationService(this).toLanguageString(e.nextArrowTitle,e.messages[e.nextArrowTitle]):r.provideLocalizationService(this).toLanguageString(e.prevArrowTitle,e.messages[e.prevArrowTitle])}},render(){const{disabled:o,type:t,scrollContentRef:l,buttonScrollSpeed:n,prevButton:d,nextButton:p}=this.$props,a=()=>{l&&n&&(l.scrollBy({left:t==="next"?n:-n,behavior:"smooth"}),this.$emit("contentscroll",t))};return i.createVNode("span",{class:s.classNames("k-button","k-button-md","k-button-solid","k-button-solid-base","k-rounded-md","k-icon-button",`k-toolbar-${t}`,{"k-disabled":o}),title:this.getScrollButtonTitle(),"aria-hidden":!0,tabindex:o?-1:void 0,onClick:a},[i.createVNode(s.SvgIcon,{icon:t==="prev"?c.caretAltLeftIcon:c.caretAltRightIcon,class:"k-button-icon"},null)])}});exports.ToolbarScrollButton=u;
