/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("vue"),s=require("./ToolbarSeparator.js"),m=require("./ToolbarScrollButton.js"),B=t.defineComponent({name:"ToolbarScrollable",props:{scrollButtons:String,scrollButtonsPosition:String,isOverflowing:Boolean,buttonScrollSpeed:Number,dir:String,isScrollStartPosition:Boolean,isScrollEndPosition:Boolean,prevButton:Object,nextButton:Object,toolbarItems:Object},emits:["contentscroll"],data(){return{scrollContentRef:null}},mounted(){this.scrollContentRef=this.$refs.scrollContentRef},methods:{onContentScroll(r){this.$emit("contentscroll",r)}},render(){const{scrollButtons:r,buttonScrollSpeed:i,prevButton:u,nextButton:b,scrollButtonsPosition:l,dir:o,isScrollStartPosition:a,isScrollEndPosition:c,toolbarItems:p}=this.$props,e=(S,d)=>t.createVNode(m.ToolbarScrollButton,{type:S,dir:o,disabled:d,scrollContentRef:this.scrollContentRef,buttonScrollSpeed:i,prevButton:u,nextButton:b,onContentscroll:this.onContentScroll},null),n=r==="visible"||r==="auto"&&this.$props.isOverflowing;return t.createVNode(t.Fragment,null,[n&&l==="split"&&t.createVNode(t.Fragment,null,[e(o!=="rtl"?"prev":"next",a),t.createVNode(s.ToolbarSeparator,{class:"k-toolbar-button-separator"},null)]),n&&l==="start"&&t.createVNode(t.Fragment,null,[e(o!=="rtl"?"prev":"next",a),e(o!=="rtl"?"next":"prev",c),t.createVNode(s.ToolbarSeparator,{class:"k-toolbar-button-separator"},null)]),t.createVNode("span",{class:"k-toolbar-items k-toolbar-items-scroll",ref:"scrollContentRef"},[p]),n&&l==="split"&&t.createVNode(t.Fragment,null,[t.createVNode(s.ToolbarSeparator,{class:"k-toolbar-button-separator"},null),e(o!=="rtl"?"next":"prev",c)]),n&&l==="end"&&t.createVNode(t.Fragment,null,[t.createVNode(s.ToolbarSeparator,{class:"k-toolbar-button-separator"},null),e(o!=="rtl"?"prev":"next",a),e(o!=="rtl"?"next":"prev",c)])])}});exports.ToolbarScrollable=B;
